#include <avr/io.h>
#include <avr/interrupt.h>

#define PortReproDir DDRD				// určení řídícího registru portu na kterém je reproduktor (DDRx)
#define PortRepro PORTD					// určení portu na kterém je reproduktor (PORTx)
#define PinRepro 7						// určení pinu portu na kterém je reproduktor (0 - 7)
#define F_OSC 8000000

#include "Generator.c"					// knihovna programu
#include "melodie.h"					// zdroj ukázkových melodií

void main(void)
{

	Prehraj(Ovcaci_Ctveraci);
	Prehraj(Arkanoid);
	Prehraj(Nesem_Vam_Noviny);
	Prehraj(Stedrej_Vecer);
	Prehraj(Ovcaci_Ctveraci);
	Prehraj(Arkanoid);
	Prehraj(Nesem_Vam_Noviny);
	Prehraj(Stedrej_Vecer);
	
	while(1);
}
